# 68. Мутація: Оновити статистику "VectorAnalysisMap"

Оновлює статистику для карти Зон. Може використовуватися після об'єднання/розділу Зон у інтерфейсі.

{% hint style="info" %}
Перевірити <https://geopard.tech/blog/merge-and-split-zones/> стаття.&#x20;
{% endhint %}

Мутація для оновлення статистики без збереження її в базі даних. У відповіді міститься перерахована статистика у форматі JSON.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
мутація RefreshVectorAnalysisStatistics {
  refreshVectorAnalysisMapStatistics(
    input: { 
      uuid: "<placeholder_of_vectoranalysismap_uuid>",
      fieldUuid: "<placeholder_of_field_uuid>",
      areaUnit: <area_unit>,
      zonesMapGeojson: "<geojson_with_escaped_doubel_quotes>"
    }
  )
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/68.-mutaciya-onoviti-statistiku-vectoranalysismap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
